org.apache.commons.cli

## Class MissingOptionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.commons.cli.ParseException
      - - org.apache.commons.cli.MissingOptionException

All Implemented Interfaces:
  Serializable

    public class MissingOptionException
    extends ParseException

Thrown when a required option has not been provided.

Version:
  $Id: MissingOptionException.java 1443102 2013-02-06 18:12:16Z tn $
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`MissingOptionException(List missingOptions)` Constructs a new `MissingSelectedException` with the specified list of missing options.
`MissingOptionException(String message)` Construct a new `MissingSelectedException` with the specified detail message.

### Method Summary

All Methods Instance Methods Concrete Methods
`List` `getMissingOptions()` Returns the list of options or option groups missing in the command line parsed.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MissingOptionException

    public MissingOptionException(String message)

Construct a new `MissingSelectedException` with the specified detail message.

Parameters:
  `message` - the detail message

#### MissingOptionException

    public MissingOptionException(List missingOptions)

Constructs a new `MissingSelectedException` with the specified list of missing options.

Parameters:
  `missingOptions` - the list of missing options and groups
Since:
  1.2

### Method Detail

#### getMissingOptions

    public List getMissingOptions()

Returns the list of options or option groups missing in the command line parsed.

Returns:
  the missing options, consisting of String instances for simple options, and OptionGroup instances for required option groups.
Since:
  1.2